classification
Title: httplib.HTTPMessage undocumented
Type: behavior Stage: resolved
Components: Documentation Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: ThomasH, ajaksu2, georg.brandl, ipatrol, orsenthil
Priority: normal Keywords: easy

Created on 2008-07-22 17:09 by ThomasH, last changed 2010-06-29 13:29 by orsenthil. This issue is now closed.

Messages (7)
msg70155 - (view) Author: (ThomasH) Date: 2008-07-22 17:09
The httplib.HTTPMessage class needs documentation; it is missing from
the package documentation entirely. Instances of this class are e.g.
returned by the urllib.urlopen().info() method.
msg108813 - (view) Author: (ipatrol) Date: 2010-06-28 01:25
This is still not fixed. Also, it would be nice to add the response code in somewhere as I don't see it in the stdlib epydoc pages
msg108820 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2010-06-28 10:58
Fixed in r82322 and r82323.

Actually urllib.urlopen.info method return a mimetools.Message instance and a HTTPMessage instance is used within httplib only. It is more internal purposes to deal with headers with add_continue like methods is required.

ipatrol, the return codes of HTTP is documented in the httplib documentation.
msg108837 - (view) Author: (ipatrol) Date: 2010-06-28 16:10
What about urllib2? It's explicitly mentioned as the return value of .info()
msg108844 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2010-06-28 17:09
That was a Documentation mistake. Thanks for pointing out.
Corrected it in revision 82334 and merged to other branches.
msg108865 - (view) Author: (ThomasH) Date: 2010-06-28 20:51
> Actually urllib.urlopen.info method return a mimetools.Message instance

But the urllib.rst documentation is still flawed:

"The :meth:`info` method returns an instance of the class :class:`httplib.HTTPMessage`"

(http://svn.python.org/view/python/trunk/Doc/library/urllib.rst?revision=81775&view=markup)
msg108904 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2010-06-29 13:29
On Mon, Jun 28, 2010 at 08:51:58PM +0000, ThomasH wrote:
> But the urllib.rst documentation is still flawed:

Fixed now in the r82363. Did a find and grep on all instances of
HTTPMessage and verified that it is only at proper places now.

Thanks for pointing out.
History
Date User Action Args
2010-06-29 13:29:45orsenthilsetmessages: + msg108904
2010-06-28 20:51:57ThomasHsetmessages: + msg108865
2010-06-28 17:09:31orsenthilsetmessages: + msg108844
2010-06-28 16:10:51ipatrolsetmessages: + msg108837
2010-06-28 10:58:42orsenthilsetstatus: open -> closed
resolution: fixed
messages: + msg108820

stage: needs patch -> resolved
2010-06-28 01:25:01ipatrolsetnosy: + ipatrol
messages: + msg108813
2009-04-22 18:47:51ajaksu2setkeywords: + easy
2009-02-12 19:03:48ajaksu2linkissue4773 dependencies
2009-02-12 19:03:39ajaksu2linkissue3427 dependencies
2009-02-12 18:50:40ajaksu2setpriority: normal
nosy: + orsenthil, ajaksu2
stage: needs patch
type: behavior
versions: + Python 2.6, - Python 2.5
2008-09-24 16:56:22georg.brandlsetcomponents: + Documentation, - Documentation tools (Sphinx)
2008-07-22 17:09:00ThomasHcreate